// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class SSD
    {
        public readonly string Id;
        public readonly Outputs.PartitionConfig Partitions;

        [OutputConstructor]
        private SSD(
            string id,

            Outputs.PartitionConfig partitions)
        {
            Id = id;
            Partitions = partitions;
        }
    }
}
